<?
ob_start();
session_start();
if(isset($_SESSION['ses_name']))
{
$user=$_SESSION['ses_name'];
}else{
header("location:index.php");
}


$veh_num='';
$sdate_12 ='';
$page='1';
include("include/config.php");
require_once "include/Database_functions.php";
$sqlObj=new sqlclass();
$msg = '';
$client_namek ='';

if(isset($_REQUEST['del']) && $_REQUEST['del']=='delete')
{
	$id = $_REQUEST['pur_del'];
	$sql=mysql_query("delete from cf_lab where lab_id='$id'");
	header("location:lab_test_list.php?msg=You Have Successfully Deleted");
}
?>

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>OIL FILL</title>
<link href="css/styles.css" rel="stylesheet"  />
<link href="css/menu.css" rel="stylesheet" type="text/css" />
<link type="text/css" href="css_date/ui-lightness/jquery-ui-1.7.2.custom.css" rel="stylesheet" />
<script type='text/javascript' src="https://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>

<script type='text/javascript' src="js/jquery.autocomplete.js"></script>
<link rel="stylesheet" type="text/css" href="js/jquery.autocomplete.css" />
<script src="js/labview_popup.js" type="text/javascript"></script>

<script type="text/javascript" src="scripts_date/jquery-calendar-1.7.2.js"></script>
<script>

$(document).ready(function(){
$('#from_date').datepicker({
showOn: 'both',
buttonImage: 'icons_date/calendar.gif',
buttonImageOnly: true,
changeMonth: true,
changeYear: true,
dateFormat: 'dd-mm-yy'
});
});

$(document).ready(function(){
$('#to_date').datepicker({
showOn: 'both',
buttonImage: 'icons_date/calendar.gif',
buttonImageOnly: true,
changeMonth: true,
changeYear: true,
dateFormat: 'dd-mm-yy'
});
});


function getXMLHTTP()
	 { //fuction to return the xml http object
	var xmlhttp=false;	
		try
		{
		xmlhttp=new XMLHttpRequest();
		}
		catch(e)	
		{		
			try{			
				xmlhttp= new ActiveXObject("Microsoft.XMLHTTP");
				}
			catch(e)
			{
				try
				{
				xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
				}
				catch(e1)
				{
				xmlhttp=false;
				}
			}
		}
	return xmlhttp;
	}   


function Searchdate(page,val)
{ 
 	
	 var page=page;	
	 var pass_agent='';
	 var vehtype='';
	 var fromdate='';
	 var todate='';
	 
	 if(document.lab_frm.pass_agent){
	 pass_agent= document.lab_frm.pass_agent.value;
	 } 
	 
	 if(document.lab_frm.from_date){
	 fromdate= document.lab_frm.from_date.value;
	 }
	 
	 if(document.lab_frm.to_date){
	 todate= document.lab_frm.to_date.value;
	 }
	 
	 if(document.lab_frm.vehtype){
	 vehtype= document.lab_frm.vehtype.value;
	 }
	 
	var strURL="ajax/lab_test_list_data.php?&page="+page;
	
	if(vehtype!=''){
	strURL+="&vehtype="+vehtype;
	}
	
	if(pass_agent!=''){
	strURL+="&pass_agent="+pass_agent;
	}
	
	if(fromdate!=''){
	strURL+="&fromdate="+fromdate;
	}
	
	if(todate!=''){
	strURL+="&todate="+todate;
	}
	
	//alert(strURL);
	
	var req = getXMLHTTP();
   if (req)
   {
     req.onreadystatechange = function()
     {
		 
			if ((req.readyState == 0)||(req.readyState == 1)||(req.readyState == 2)||(req.readyState == 3))
      		{
			//document.getElementById('order').innerHTML='<div align="center"><img src="'+path+'images/ajax_loader.gif"/></div>';
			//document.getElementById('Cakeorder').innerHTML='<div align="center"><img src="'+path+'images/ajax_loader.gif"/></div>';
			}
		 
		 
      if (req.readyState == 4)
      {
	 // only if "OK"
	 	if (req.status == 200)
	 	{ 
	   document.getElementById('list').innerHTML=req.responseText;
	//	document.getElementById('Cakeorder').innerHTML=req.responseText;
	 	}
	  else 
	 	{
   	   alert("There was a problem while using XMLHTTP:\n" + req.statusText);

	 }
     }
     }
   req.open("GET", strURL, true);
   req.send(null);
   }
 
   
}
function showClientcodedropdown(str){
var xmlhttp;    
if (str=="")
  {
  document.getElementById("txtcodeshow").innerHTML="";
  Searchdate(1,str);
  return;
  }
  
if (window.XMLHttpRequest)
  {// code for IE7+, Firefox, Chrome, Opera, Safari
  xmlhttp=new XMLHttpRequest();
  }
else
  {// code for IE6, IE5
  xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  }
xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
	   document.getElementById("txtcodeshow").innerHTML=xmlhttp.responseText;
    }
  }
xmlhttp.open("GET","clientajax_code_dropdown.php?str="+str,true);
xmlhttp.send();
}
</script>
</head>

<body>
<!------------------popup area (view, edit)--------------->

<div class="viewEmployeePopup login-popup"  id="login-box" style="width:500px;height:200px;">
<a href="#" class="close"><img src="images/close.png" class="btn_close" title="Close Window" alt="Close" /></a>
   <div id="popupid"></div>
   
     
    </div>

<!---------------popup area ends------------------>
<div class="wrapper">
   <div>
<?php 
	include("header.php");
?>
</div>
 
 <div class="tabbedArea" style="position:relative; margin-top:">

  
  <div class="tabBody">
   <h1>Lab Test List</h1>
  
   <form name="lab_frm" id="lab_frm" method="post"  >
   <div class="searchBox" style="width:93%; margin-right:0px;  padding:0px; ">
   <div style="padding:20px;">
    
    
    
    <div class="searchField" style="padding-left:20px;">
     <p class="input1">Passing Agent</p>
     <select name="pass_agent" class="input1">
         <option value="">-Select Passing Agent-</option>
         <?php 
				$sq_passing1="select * from cf_passing";
				$arrpass2=mysql_query($sq_passing1);
				while($respass2=mysql_fetch_array($arrpass2))
				{
                 ?>
				<option value="<?=$respass2['pass_id']?>" ><?=$respass2['passname']?></option>
				<?php
                }
               ?>
      </select>
    </div>
    
    <div class="searchField" style="padding-left:20px;">
     <p class="input1">Vehicle Type</p>
     <select name="vehtype" class="input1">
         <option value="">-Select Type-</option>
         <option value="2">Small</option>
         <option value="1">big</option>
      </select>
    </div>
     
    <div class="searchField" style="padding-left:20px;">
     <p class="input1">From Date</p>
     <input type="text" name="from_date" id="from_date" style="width:75px;" maxlength="100" class="input1" />
    </div>
    
    <div class="searchField" style="padding-left:20px;">
     <p class="input1">To Date</p>
     <input type="text" name="to_date" id="to_date" style="width:75px;" maxlength="100" class="input1" />
    </div>
       
    <div class="searchField">
     <input name="button" type="button" class="input1" onClick="Searchdate(1);" value="search" />
    </div> 
    
   </div>
   </div>
   </form>
   
   <div class="searchBox" style="width:93%; margin-right:0px;  padding:0px;">
  
   
   <div id="list">
   <table  border="0" cellspacing="0" cellpadding="0" class="tableList" style="margin-left:20px;width:1200px; ">
  <tr class="heading">
    <td>No</td>  
	<td >Lab Name</td>  
    <td>Vehicle Type</td>
    <td>Pass Agent</td>
    <td>Pass Charge</td>
    <td>Date</td>
    <td>Bill No</td>
	<td>Quantity</td>
    <td>Amount</td>
    <td>Vehicle No</td>
    <td>Company</td>
    <td align="center">Edit</td>
    <td align="center">Del</td>
  </tr>
 
  <?php

$master = '';
$notification = '';
$trip = '';
$accounting = '';
$accpay = '';
$report = '';

$i=1;
$sq_arr="select * from cf_lab where pur_id=0 ";
$sq_arr.=" order by lab_id DESC ";
$query=$sq_arr;
//echo $query;
$function="Searchdate";
include("pagingserch.php");
$sq_arr.=" LIMIT $start, $limit";

if(isset($_REQUEST['page'])){
$page=$_REQUEST['page'];
}else{
$page=1;
}

$array=mysql_query($sq_arr);
if($array && mysql_num_rows($array)>0){
$pagecnt=$start;
while($res=mysql_fetch_array($array))
{
$pagecnt++;
  ?> 
  <tr>
    <td><?php echo $pagecnt;?></td>
   <?php 
		$lab_name = $res['lab_name'];	
        $sq_ven=mysql_query("select * from cf_lab_agent where lab_agent_id = '$lab_name'");
    	$resven=mysql_fetch_array($sq_ven);
    	
    	$vehicle_type = $res['vehicle_type'];	
    	if($vehicle_type==1)$vehicle_type="Big";else if($vehicle_type==2) $vehicle_type="Small";
    	
    	$pass_agent_id=$res['pass_agent_id'];
        $result=mysql_query("select * from cf_passing where pass_id = '$pass_agent_id'");
    	$result=mysql_fetch_array($result);
    	
    	$lab_year=date('Y',strtotime($res['lab_date']));
          if($lab_year=="1970")$lab_date="";else $lab_date=date(('d-m-Y'),strtotime($res['lab_date']));
    ?>	
     <td><?php echo $resven['labagent_name'];?></td>     
     <td><?php echo $vehicle_type;?></td>
     <td><?php echo $result['passname'];?></td>
     <td><?php echo $res['passing_chg'];?></td>
  	<td><?php echo $lab_date;?></td>
  	 <td><?php echo $res['lab_billnum'];?></td>
     <td><?php echo $res['lab_qty'];?></td>
     <td><?php echo $res['lab_bill_amt'];?></td>
     <td><?php echo $res['lab_vehicle_no'];?></td>
     <td><?php echo $res['lab_company'];?></td>
    
    
	 

   <td align="center" class="tr_td_b"><a href="add-lab-test.php?lab_id=<?=$res['lab_id']?>"><img src="images/edit.png" title="edit"></a></td>
   
   <td align="center" class="tr_td_r" ><a href="lab_test_list.php?pur_del=<?=$res['lab_id']?>&del=delete" onClick="return confirm('Do you really want to delete this field?');"><img src="images/delete.png" title="delete"></a></td>
  </tr>
  <?php 
    }}else{?>
	 <tr>
    <td class="errorMessage"  style="border-right:0px;border-bottom:0px; "><font color="#FF0000">No Records Found</font></td></tr>
	<? }
  ?>
</table>

  <div align="right" style="padding-top:10px;"><?=$pagination?></div> 
  </div>
  </div>
 </div>
 <div class="footer"><p>Powered by <a href="http://www.aadhocc.co.uk/" target="_blank">Aadhocc</a></p></div>
 
</div>
<div class="quicLInksCover">
 <?php 
	include("leftlink.php");
?>

</div>
</body>
</html>
